release_package:
  stage: release_package
  only:
    - master
  script:
    - docker pull "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG"
    - apk add libxml2-utils curl
    - VERSION=$(cat $VERSION_FILE)
    - CSPROJ_FILE=$(eval find $MAIN_CSPROJ_FILE)
    - PACKAGEID=$(xmllint --xpath '/Project/PropertyGroup/PackageId/text()' $CSPROJ_FILE)
    - NUPKG="bin/Release/$PACKAGEID.$VERSION.nupkg"
    - docker run --rm "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG" dotnet nuget push "$NUPKG" -k "$NUGET_KEY" -s "$NUGET_SOURCE"
    - docker tag "$CI_REGISTRY_IMAGE":"$TMP_DOCKER_TAG" "$CI_REGISTRY_IMAGE":latest
    - docker push "$CI_REGISTRY_IMAGE":latest  # for cache
